

const PARENT_PAGE = '917_register';
const CURRENT_PAGE = '917_coupons';

const IDS = Object.freeze({
    GUIDE: 'guide'
})

function onload() {
    var status = getInitDataByKey('status');
    //审核通过
    if (status && status == 3) {
        var guideValue = JSON.parse(JSON.stringify(getComponentValue(IDS.GUIDE)));
        guideValue.content = '报名审核已通过，优惠券无法修改，若需要停止活动请联系官方微信 King07070515';
        setComponentValue(IDS.GUIDE, guideValue);
    }
}
function onLeftBtnClicked() {
    if (JSExecutor.hasDataUnsave()) {
        JSExecutor.alertMsgTitlesAction('内容有变更尚未保存，确定要退出吗？', ['取消', '确定'], function (index) {
            if (index == 1) {
                JSExecutor.removePage(CURRENT_PAGE);
            }
        });
    }
    else {
        JSExecutor.removePage(CURRENT_PAGE);
    }
}

function onRightBtnClicked() {
    JSExecutor.getFormDataCallBack(function (failed, failedMessage, data) {
        if (failed) {
            JSExecutor.alertMsg(failedMessage);
        }
        else {
            JSExecutor.removePage(CURRENT_PAGE);
            JSExecutor.execFuncWithParamsInPage(PARENT_PAGE, 'reveiveCoupons', data);
        }
    })
}