function onload() {
    var options=new Array();
    for(var i = 100;i>0;i--){
        var val=(i-1)+'';
        options[100-i] = {'value':val,'showStr':val}
    };
    JSExecutor.setOptions('s_2_3_0_0',options);
    var extendInfo=JSExecutor.getExtendInfo();
    var isPreviewState=extendInfo['isPreviewState'];
    var hide=(isPreviewState == 1)?1:0;
    JSExecutor.setProp('saveBtn','hide',hide);
    var remoteInfo=extendInfo['remoteInfo'];
    var stopBtnHide=(hide==1 || (remoteInfo == undefined) || remoteInfo['activityState'] != 1)?1:0;
    JSExecutor.setProp('stopBtn','hide',stopBtnHide)

    setVisibilityRatio(extendInfo['ratioSelect'])
    ratioSwitchChange()
}

function setVisibilityRatio(ratioSelect){
    // 打折方式  ratioSelect
    var type = ratioSelect;
    var hide1=(type!=1?1:0);
    var hide2=(type!=2?1:0);
    JSExecutor.setProp('s_2_3_0_0','hide',hide1);
    JSExecutor.setProp('s_2_3_0_1','hide',hide1);
    JSExecutor.setProp('s_2_3_0_2','hide',hide2);
}

//整单打折
function ratioSwitchChange() {
    var hide=JSExecutor.getVal('s_2_3')==1?0:1;
    JSExecutor.setProp('s_2_3_0','hide',hide);
    JSExecutor.setProp('s_2_3_1','hide',hide);
    JSExecutor.setProp('s_2_3_2','hide',hide);
    var showExGoods = function() {
        var c1 = JSExecutor.getVal('s_1_0') == 2;
        if (!c1) {return false;}
        var c2 = JSExecutor.getVal('s_2_2') == 1;
        var c3 = JSExecutor.getVal('s_2_2_1') == 2;
        var c4 = JSExecutor.getVal('s_2_3') == 1;
        var c5 = JSExecutor.getVal('s_2_3_2') == 2;
        return (c2 && c3) || (c4 && c5);
    };
    JSExecutor.setProp('excludeGoods','hide',showExGoods()?0:1);
    ratioSelectChange();
}

// s_2_3_0 打折方式
// s_2_3_0_0 打折l率
//s_2_3_0_1 对设置了不允许打折的商品也打
//s_2_3_0_2 请选择优惠方案

// 根据打折方式 页面刷新
function ratioSelectChange() {
    var type = JSExecutor.getVal('s_2_3_0');
    setVisibilityRatio(type);
}


function getShopEntityIds(shops) {

    if (shops == undefined || shops.length == 0) {
        return null;
    }
    var map = function (shop) {
        return shop.shopEntityId;
    }

    var shopEntityIds = new Array();
    for (var i = 0, j = 0; i < shops.length; i++) {
        var shopEntityId = map(shops[i]);
        if (shopEntityId != undefined && shopEntityId != null) {
            shopEntityIds[j] = shopEntityId;
            j++;
        }
    }
    return shopEntityIds;
}

// 头部活动相关的提示
function onloadOfGuide() {
    var tGuideContent = JSExecutor.getExtendInfo()['initialDataInfo']['guide'];
    if (tGuideContent != undefined) {
        JSExecutor.setProp('guide', 'hide', 0)
        JSExecutor.setVal('guide', tGuideContent);
    }
}

//参与门店 - 值加载
function shopsOnload() {

    var shops = getSuitShops()
    var shopEntityIds = getShopEntityIds(shops);

    JSExecutor.setProp('s_2_0_0', 'inputParam', shopEntityIds);
    JSExecutor.setProp('s_2_1_0', 'inputParam', shopEntityIds);
    var addcouponHide = shopEntityIds != undefined && shopEntityIds != null && shopEntityIds.length > 0 ? 0 : 1;
    JSExecutor.setProp('s_2', 'hide', addcouponHide)
}

//参与门店 - 值变动
function shopsChange() {
    setShopsValNull();
    shopsOnload();
}


function setShopsValNull() {
    JSExecutor.setVal('s_2_0_0', null);
    JSExecutor.setVal('s_2_1_0', null);
}

function getSuitShops() {
    var shops = [];
    if (JSExecutor.getExtendInfo().entityType == 4) {
        shops = JSExecutor.getVal('malSuitShops')
    } else {
        shops = JSExecutor.getVal('suitShops');
    }
    return shops;
}

// 打折方案
function ratioSelectOnload() {
    var extendInfo = JSExecutor.getExtendInfo();
    // mall 不支持打折方案
    if (extendInfo.entityType == 4) {
        var options = [
            {
                "value": "1",
                "showStr": "按固定折扣"
            }
        ];
        JSExecutor.setOptions('s_2_3_0', options);
    }
}

//保存数据
function save() {
    if (checkPointsUsage()) {
        finalSave()
    }
    else {
        JSExecutor.alertMsgTitlesAction('本店不在连锁积分适用范围内，因此赠送的积分不能在连锁中使用，请确认',
            ['取消', '确定'],
            function (index) {
                if (index == 1) {
                    finalSave();
                }
            });
    }
}

function finalSave() {
    var extendInfo = JSExecutor.getExtendInfo();
    var activityId = extendInfo['activityId'];
    if (activityId && JSExecutor.hasDataUnsave() != 1) {
        JSExecutor.alertMsg('未有任何改动，请点击返回');
    }
    else {
        JSExecutor.getFormDataCallBack(function (isFailed, verifyFailedTip, formData) {
            if (isFailed == 1) {
                verifyFailedTip += '';
                if (verifyFailedTip.length > 0) {
                    JSExecutor.alertMsg(verifyFailedTip);
                } return;
            };
            var couponCondition = function () {
                var couponSwitch = JSExecutor.getVal('s_2_0') == 1;
                var memberCardSwitch = JSExecutor.getVal('s_2_1') == 1;
                var moneyOffSwitch = (JSExecutor.getVal('s_2_2') == 1);
                var ratioSwitch = (JSExecutor.getVal('s_2_3') == 1);
                var pointsSwitch = (JSExecutor.getVal('pointsSwitch') == 1);
                var flag = true;
                if (JSExecutor.getVal('s_1_0') == 1) {
                    flag = couponSwitch || memberCardSwitch || pointsSwitch;
                }
                else {
                    flag = couponSwitch || memberCardSwitch || moneyOffSwitch || ratioSwitch || pointsSwitch;
                }
                if (!flag) {
                    JSExecutor.alertMsg('必须选择至少一种优惠方式');
                } return flag;
            };
            if (!couponCondition()) {
                return;
            }
            var verifyDate = function () {
                var startDate = JSExecutor.getVal('s_3_0_0');
                var endDate = JSExecutor.getVal('s_3_0_1');
                if (startDate > 0 && JSExecutor.compoareToday(startDate) < 0) {
                    JSExecutor.alertMsg('开始时间不得早于今天'); return false;
                };
                if (endDate > 0 && JSExecutor.dayCompare(endDate, startDate) < 0) {
                    JSExecutor.alertMsg('结束时间不得早于开始时间');
                    return false;
                } return true;
            };
            if (!verifyDate()) {
                return;
            }
            var extendInfo = JSExecutor.getExtendInfo();
            var activityId = extendInfo['activityId'];
            var plateEntityId = extendInfo['plateEntityId'];
            var activityType = extendInfo['activityType'];
            var opType = 1;
            var params = { 'activity_id': activityId, 'activity_data': formData, 'option_type': opType, 'plate_entity_id': plateEntityId, 'activity_type': activityType };
            JSExecutor.submit('/plat/v1/modify_activity', params, 1);
        })
    }
}

//发布数据
function publish() {
    if (checkPointsUsage()) {
        finalPublish()
    }
    else {
        JSExecutor.alertMsgTitlesAction('本店不在连锁积分适用范围内，因此赠送的积分不能在连锁中使用，请确认',
            ['取消', '确定'],
            function (index) {
                if (index == 1) {
                    finalPublish();
                }
            });
    }
}

function finalPublish() {
    JSExecutor.getFormDataCallBack(function (isFailed, verifyFailedTip, formData) {
        if (isFailed == 1) {
            verifyFailedTip += '';
            if (verifyFailedTip.length > 0) {
                JSExecutor.alertMsg(verifyFailedTip);
            }
            return false;
        }
        var couponCondition = function () {
            var couponSwitch = JSExecutor.getVal('s_2_0') == 1;
            var memberCardSwitch = JSExecutor.getVal('s_2_1') == 1;
            var moneyOffSwitch = (JSExecutor.getVal('s_2_2') == 1);
            var ratioSwitch = (JSExecutor.getVal('s_2_3') == 1);
            var pointsSwitch = (JSExecutor.getVal('pointsSwitch') == 1);

            var flag = true;
            if (JSExecutor.getVal('s_1_0') == 1) {
                flag = couponSwitch || memberCardSwitch || pointsSwitch;
            }
            else {
                flag = couponSwitch || memberCardSwitch || moneyOffSwitch || ratioSwitch || pointsSwitch;
            }
            if (!flag) {
                JSExecutor.alertMsg('必须选择至少一种优惠方式');
            }
            return flag;
        };
        if (!couponCondition()) {
            return;
        };

        var verifyDate = function () {
            var startDate = JSExecutor.getVal('s_3_0_0');
            var endDate = JSExecutor.getVal('s_3_0_1');
            if (startDate > 0 && JSExecutor.compoareToday(startDate) < 0) {
                JSExecutor.alertMsg('开始时间不得早于今天');
                return false;
            };
            if (startDate > 0 && endDate > 0 && JSExecutor.dayCompare(endDate, startDate) < 0) {
                JSExecutor.alertMsg('结束时间不得早于开始时间');
                return false;
            }
            return true;
        };
        if (!verifyDate()) {
            return;
        };
        var extendInfo = JSExecutor.getExtendInfo();
        var activityId = extendInfo['activityId'];
        var plateEntityId = extendInfo['plateEntityId'];
        var activityType = extendInfo['activityType'];
        var opType = 2;
        var params = { 'activity_id': activityId, 'activity_data': formData, 'option_type': opType, 'plate_entity_id': plateEntityId, 'activity_type': activityType };
        JSExecutor.submit('/plat/v1/modify_activity', params, 1);
    });
}

function checkPointsUsage() {
    var pointsSwitch = JSExecutor.getVal('pointsSwitch');
    if (pointsSwitch == 1 && !isPointUsageByBrand()) {
        return false;
    }
    return true;
}

/** 检查积分适用门店: 若当前门店不在连锁积分适用范围内, 则提出二次确认提示: 本店不在连锁积分适用范围内，因此赠送的积分不能在连锁中使用，请确认 */
function isPointUsageByBrand() {

    var extendInfo = JSExecutor.getExtendInfo()
    var isLiansuo = extendInfo['isChain']
    //当前门店是否在连锁积分适用范围内
    var isPointUsageByBrand = extendInfo['initialDataInfo']['isPointUsageByBrand']
    if (isPointUsageByBrand == undefined) isPointUsageByBrand = 1;
    JSExecutor.log('isLiansuo:' + isLiansuo + '; isPointUsageByBrand:' + isPointUsageByBrand)
    if (!isLiansuo && !isPointUsageByBrand) {
        return false;
    }
    return true;
}
