var IDS = {
    MICROAGENTMAINSWITCH: 'microAgentMainSwitch',
    RECRUITAGENTSWITCH: 'recruitAgentSwitch',
    GOODSPROMOTIONSWITCH: 'goodsPromotionSwitch',
    CARDPROMOTIONSWITCH: 'cardPromotionSwitch'
}

var platForm = getInitDataByKey(PLAT_FORM)
var entity = getInitDataByKey(ENTITY_TYPE_KEY)

function onload() {
    if (platForm == RETAIL && (entity == ENTITY_TYPE_SINGLE || entity == ENTITY_TYPE_BRSHOP)) {
        JSExecutor.setProp(IDS.GOODSPROMOTIONSWITCH, 'hide', 0);
    }
    else {
        JSExecutor.setProp(IDS.GOODSPROMOTIONSWITCH, 'hide', 1);
    }
}

function microAgentMainSwitchOnChange() {
    if (platForm == RETAIL && (entity == ENTITY_TYPE_SINGLE || entity == ENTITY_TYPE_BRSHOP)) {
        JSExecutor.setProp(IDS.GOODSPROMOTIONSWITCH, 'hide', 1 - getComponentValue(IDS.MICROAGENTMAINSWITCH));
    }
    JSExecutor.setProp(IDS.RECRUITAGENTSWITCH, 'hide', 1 - getComponentValue(IDS.MICROAGENTMAINSWITCH));
    JSExecutor.setProp(IDS.CARDPROMOTIONSWITCH, 'hide', 1 - getComponentValue(IDS.MICROAGENTMAINSWITCH));
}

// 点击左侧导航按钮
function onLeftBtnClicked() {
    if (JSExecutor.hasDataUnsave()) {
        JSExecutor.alertMsgTitlesAction('内容有变更尚未保存，确定要退出吗？', ['取消', '确定'], function (index) {
            if (index == 1) {
                JSExecutor.exit(false);
            }
        });
    }
    else {
        JSExecutor.exit(false);
    }
}

// 点击右侧导航按钮 保存
function save() {
    JSExecutor.getFormDataCallBack(function (failed, failedMessage, data) {

        if (failed) {
            JSExecutor.alertMsg(failedMessage);
            return;
        }

        var params = { "param": JSON.stringify(data) };
        JSExecutor.requestWithAction('com.dfire.mmt.agent.marketagentsoa.client.service.IMicroAgentService.saveAgentFunctionSwitches', 3, params, function (data) {
            JSExecutor.exit(true);
        });
    })
}
