var IDS = {
    PROMOTECARD: 'promoteCard',
    COMMISSION_RATE_FIRST: 'commissionRateOfFirst',
    COMMISSION_RATE_SECOND: 'commissionRateOfSecond',
    COMMISSION_BILLING_TIME: 'commissionBillingTime',
    FOOTER_BUTTON: 'footerButton'
}

// 点击左侧导航按钮 
function onLeftBtnClicked() {
    if (JSExecutor.hasDataUnsave()) {
        JSExecutor.alertMsgTitlesAction('内容有变更尚未保存，确定要退出吗？', ['取消', '确定'], function (index) {
            if (index == 1) {
                JSExecutor.exit(false);
            }
        });
    }
    else {
        JSExecutor.exit(false);
    }
}

// 点击右侧导航按钮 保存
function save() {
    JSExecutor.getFormDataCallBack(function (failed, failedMessage, data) {

        if (failed) {
            JSExecutor.alertMsg(failedMessage);
            return;
        }
        var pageDataParam = { "data": data };
        var params = { "param": JSON.stringify(pageDataParam) };
        JSExecutor.requestWithAction('com.dfire.mmt.agent.marketagentsoa.client.service.IMicroAgentService.savePromoteCardSetting', 3, params, function (data) {
            JSExecutor.exit(true);
        });
    })
}


function provideDescriptionForPromatecard() {
    var tPromatecard = getComponentValue(IDS.PROMOTECARD);
    var description = '';
    if (tPromatecard && tPromatecard['selectedCards'].length > 0) {
        tselectedCards = tPromatecard['selectedCards'];
        description = '已选' + tselectedCards.length + '张卡:'
        var cardNameArr = [];
        tselectedCards.forEach(function (cardInfo) {
            if (cardInfo) {
                cardNameArr.push(cardInfo['name'])
            }
        });
        description = description + cardNameArr.join("、");
        return description;
    }

    return null;
}

function provideValueTextForPromatecard() {
    return null;
}

function onLoadOfcommissionBillingTime() {
    var options = getInitDataByKey(IDS.COMMISSION_BILLING_TIME);
    if (options) {
        if (options.length <= 1) {
            disableComponents([IDS.COMMISSION_BILLING_TIME]);
        } else {
            enableComponents([IDS.COMMISSION_BILLING_TIME]);
        }
        JSExecutor.setOptions(IDS.COMMISSION_BILLING_TIME, options)
    }
}

// 页面右下角按钮点击方法
function gotoExampleUrl() {
    var footerUrl = getOriginData(IDS.FOOTER_BUTTON)
    JSExecutor.routeWithUrlParams(footerUrl, null);
}
