var IDS = {
    COMMISSION_RATE: 'commissionRate',
    COMMISSION_SETTLE_TIME: 'commissionSettleTime'
}

function onload() {

}

function onLoadCommissionSettleTime() {
    var options = getInitDataByKey(IDS.COMMISSION_SETTLE_TIME);
    if (options) {
        if (options.length == 1) {
            disableComponents([IDS.COMMISSION_SETTLE_TIME]);
        } else {
            enableComponents([IDS.COMMISSION_SETTLE_TIME]);
        }
        JSExecutor.setOptions(IDS.COMMISSION_SETTLE_TIME, options)
    }
}

function onChangeCommissionSettleTime() {

}

// 点击左侧导航按钮 
function onLeftBtnClicked() {
    if (JSExecutor.hasDataUnsave()) {
        JSExecutor.alertMsgTitlesAction('内容有变更尚未保存，确定要退出吗？', ['取消', '确定'], function (index) {
            if (index == 1) {
                JSExecutor.exit(false);
            }
        });
    }
    else {
        JSExecutor.exit(false);
    }
}

// 点击右侧导航按钮 保存
function save() {
    JSExecutor.getFormDataCallBack(function (failed, failedMessage, data) {

        if (failed) {
            JSExecutor.alertMsg(failedMessage);
            return;
        }

        if (!validateBrokeragePercentage()) {
            return;
        }
        var params = { "param": JSON.stringify(data) };
        JSExecutor.requestWithAction('com.dfire.mmt.agent.marketagentsoa.client.service.IMicroAgentService.saveAgentPromoteGoodsSetting', 3, params, function (data) {
            JSExecutor.exit(true);
        });
    })
}

//验证佣金比例
function validateBrokeragePercentage() {
    var percent = getComponentValue(IDS.COMMISSION_RATE);
    if (!percent) {
        JSExecutor.alertMsg('请填写佣金比例');
        return false;
    }

    if (percent < 0.01 || percent > 50) {
        JSExecutor.alertMsg('商品默认佣金比例(%)请输入0.01~50之间的值。');
        return false;
    }
    return true;
}



